// Задания

// Постановки задач
var SetTasks = new Array(
'&#133;содержит процессор',
'&#133;выводит из компьютера тексты и рисунки',
'&#133;служит для ввода текста',
'&#133;служит для ввода команд',
'&#133;содержит память компьютера'

                     );

// Варианты
var Variants = new Array(
  new Array( 
'системный блок',
'монитор',
'клавиатура',
'мышь'
           ),

  new Array( 
'системный блок',
'монитор',
'клавиатура',
'мышь'
           ),

  new Array( 
'системный блок',
'монитор',
'клавиатура',
'мышь'
           ),

  new Array( 
'системный блок',
'монитор',
'клавиатура',
'мышь'
           ),

  new Array( 
'системный блок',
'монитор',
'клавиатура',
'мышь'
           )
                        );


// Ответы
var Answers =  new Array(
  new Array( 
true,   
false,  
false,  
false   
           ),
  new Array( 
false,  
true,   
false,  
false   
           ),

  new Array( 
false,  
false,  
true,   
false   
           ),

  new Array( 
false,  
false,  
true,   
true   
           ),

  new Array( 
true,   
false,  
false,  
false   
           )

               );


//-----------------------------
// Построение зачетного класса
//-----------------------------
function ShowZRU(teach)
{
  var i;
  var str = '<P>Нажмите кнопку <SPAN class=mark>Сброс</SPAN>, затем приступайте к решению.';
  str += '<P><FORM name=exam><P><IMG src=./pic/clear.gif';
  str += ' width=113 height=41 border=0 alt=Сброс';
  str += ' onmouseup   ="room.Ini()"';
  str += ' onmousedown ="this.src=\'./pic/clear2.gif\'"';
  str += ' onmouseover ="this.src=\'./pic/clear1.gif\'"';
  str += ' onmouseout  ="this.src=\'./pic/clear.gif\'">';

  str += '<P><SPAN class=def>Укажите устройство, которое&#133;</SPAN>';

  // Построение заданий
  // Флажки
  for (i=0; i<SetTasks.length; i++)
    str += ZFlagRU(teach, i, SetTasks[i], Variants[i], Answers[i]);

  str +='<P>Чтобы увидеть результат работы, нажмите кнопку <SPAN class=mark>Оценка</SPAN>.';
  str +='<P><IMG src=./pic/bonus.gif width=113 height=41';
  str +=' border=0 alt=Оценка';
  str +=' onmouseup   ="room.Bonus()"';
  str +=' onmousedown ="this.src=\'./pic/bonus2.gif\'"';
  str +=' onmouseover ="this.src=\'./pic/bonus1.gif\'"';
  str +=' onmouseout  ="this.src=\'./pic/bonus.gif\'">';
  str +='</FORM>';

  document.write(str);
  room = new CheckTasks(SetTasks.length, document.forms["exam"]);
}
